function aufg2
alphas=[10 20 50 100];
nn=[1:10 (1:15)*10];
N=length(nn);
for j=1:length(alphas)
    alpha=alphas(j);
    f=@(t)sin(t/4);
    fun=@(t)f(t).*sin(alpha*t);
    
    ex=(sin((1/4-alpha)*2*pi))/(2*(1/4-alpha))-...
        sin((1/4+alpha)*2*pi)/(2*(1/4+alpha));
    fil=1/alpha*f(0)-1/alpha*f(2*pi);
    
    for i=1:N
        er(j,i)=abs(intsimpson(fun,0,2*pi,nn(i))-ex);
    end;
    er(j,N+1)=NaN;
    er(j,N+2)=abs(fil-ex);
    er(j,N+3)=abs(fil-ex);
end;
h=1./nn;
h(N+1)=NaN;
h(N+2)=1./nn(1);
h(N+3)=1./nn(N);

han=loglog(h,er);
c={'-','--','-.',':'};
set(han,{'LineStyle'},c','Color','k');

%for i=1:length(han)
%    set(han(i),'LineStyle',c{i},'Color','k');
%end;
axis manual
a=axis
axis([h(N) h(1) 1e-8 1]);
legend(num2str(alphas'),'Location','SouthEast');
title('Filon-Quadratur');
xlabel('h');
bprint('A5','filon.eps',1);

function y=intsimpson(fun,a,b,n);
y=0;
h=(b-a)/n;
t=a;
for i=1:n
    y=y+h/6*(fun(t)+4*fun(t+h/2)+fun(t+h));
    t=t+h;
end;
