function res=intadapt(f,tspan,TOL)
if nargin==0
    f=inline('1./(10^-2+t.^2)');
    sf=inline('atan(t/10^-1)/10^-1');
    tspan=[-5 5];
    TOL=1e-2;
    ex=sf(tspan(2))-sf(tspan(1));
end;
for doppeln=0:1
    a=tspan(1);
    b=tspan(2);
    
    res=0;
    t=a;
    
    h=b-a;
    ti=[];
    hi=[];
    evals=0;
    while t<b
        evals=evals+1;
        h=min(h,b-t);
        T1=h*(f(t)+f(t+h))/2;
        T2=h*(f(t)+2*f(t+h/2)+f(t+h))/4;
        err=(T2-T1)/3;
        errf=abs(err)/((TOL+abs(T1)*TOL)*h/(b-a));
        if errf>1
            if doppeln
                h=h/2;
            else
                if errf>10, errf=10; end;
                h=0.9*h/sqrt(errf);
            end;
        else
            res=res+T2;
            ti(end+1)=t;
            hi(end+1)=h;
            t=t+h;
            if doppeln
                h=h*2;
            else
                h=0.9*h/sqrt(errf);
            end;
        end;
    end;
    
    subplot(2,2,1-doppeln+1);
    tt=linspace(a,b,1000);
    plot(tt,f(tt));
    axis([a b -1 105]);
    subplot(2,2,1-doppeln+3);
    semilogy(ti,hi);
end;
bprint('A5','intadapt.eps',1);
